libzypp 17.37.10

zypp::bit::RangeBit< TRange, _pos > Struct Template Reference

A single 1-bit within a Range. More...

`#include <zypp/Bit.h>`

## Public Types
using | RangeT = TRange
using | IntT = typename TRange::IntT

## Static Public Attributes
static const IntT | value = IntT(1) << (RangeT::begin + _pos)

## Detailed Description

template<class TRange, unsigned _pos>
struct zypp::bit::RangeBit< TRange, _pos >

A single 1-bit within a Range.

typedef Range<char,2,3> SubField; // bits 2,3,4 in a char field
SubField::Mask::value; // 00011100
RangeBit<SubField,0>::value; // 00000100
RangeBit<SubField,1>::value; // 00001000
RangeBit<SubField,2>::value; // 00010000
zypp::bit::RangeBit::value
static const IntT value
Definition Bit.h:133
zypp::bit::Range
Range of bits starting at bit _begin with length _size.
Definition Bit.h:82

Definition at line 128 of file Bit.h.

## Member Typedef Documentation

## ◆ RangeT

template<class TRange, unsigned _pos>

using zypp::bit::RangeBit< TRange, _pos >::RangeT = TRange

Definition at line 130 of file Bit.h.

## ◆ IntT

template<class TRange, unsigned _pos>

using zypp::bit::RangeBit< TRange, _pos >::IntT = typename TRange::IntT

Definition at line 131 of file Bit.h.

## Member Data Documentation

## ◆ value

template<class TRange, unsigned _pos>

const IntT zypp::bit::RangeBit< TRange, _pos >::value = IntT(1) << (RangeT::begin + _pos)
| static

Definition at line 133 of file Bit.h.

The documentation for this struct was generated from the following file:

- zypp/Bit.h